|  | Home · All Namespaces · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# Qt 3 Support Members for QMovie

The following class members are part of the Qt 3 support layer. They are provided to help you port old code to Qt 4. We advise against using them in new code.

- QMovie class reference

### Public Functions

- bool finished () const
- QImage frameImage () const
- int frameNumber () const
- QPixmap framePixmap () const
- bool isNull () const
- void pause ()
- bool paused () const
- void restart ()
- bool running () const
- void step ()
- void unpause ()

- 8 public functions inherited from QObject

## Member Function Documentation

### bool QMovie::finished () const

Use state() instead.

### QImage QMovie::frameImage () const

Use currentImage() instead.

### int QMovie::frameNumber () const

Use currentFrameNumber() instead.

### QPixmap QMovie::framePixmap () const

Use currentPixmap() instead.

### bool QMovie::isNull () const

Use isValid() instead.

### void QMovie::pause ()

Use setPaused(true) instead.

### bool QMovie::paused () const

Use state() instead.

See also setPaused().

### void QMovie::restart ()

Use stop() and start() instead.

### bool QMovie::running () const

Use state() instead.

### void QMovie::step ()

Use jumpToNextFrame() instead.

### void QMovie::unpause ()

Use setPaused(false) instead.